Skip to main content
GET
/
api
/
v0
/
companies
/
{company_id}
/
sso-enforcement-rules
List SSO enforcement rules for a company.
curl --request GET \
  --url https://api.example.com/api/v0/companies/{company_id}/sso-enforcement-rules
import requests

url = "https://api.example.com/api/v0/companies/{company_id}/sso-enforcement-rules"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v0/companies/{company_id}/sso-enforcement-rules', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "domain": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "createdBy": {
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "username": "<string>",
      "avatar": "<string>",
      "disabledAt": "2023-11-07T05:31:56Z"
    }
  }
]
{
  "msg": "<string>"
}
{
  "msg": "<string>"
}
{
  "msg": "<string>"
}
{
  "msg": "<string>"
}
{
  "msg": "<string>"
}

Path Parameters

company_id
string<uuid>
required

Response

Company SSO enforcement rules

id
string<uuid>
required
companyId
string<uuid>
required
domain
string
required

Users with emails registered on those domains will be forced to authenticate with Google SSO.

createdAt
string<date-time>
required
createdBy
object
required

Profile info of a user.